Last modified: 2011-08-01 00:09:29 UTC

Wikimedia Bugzilla is closed!

Wikimedia has migrated from Bugzilla to Phabricator. Bug reports should be created and updated in Wikimedia Phabricator instead. Please create an account in Phabricator and add your Bugzilla email address to it.
Wikimedia Bugzilla is read-only. If you try to edit or create any bug report in Bugzilla you will be shown an intentional error message.
In order to access the Phabricator task corresponding to a Bugzilla report, just remove "static-" from its URL.
You could still run searches in Bugzilla or access your list of votes but bug reports will obviously not be up-to-date in Bugzilla.
Bug 18202 - Upload-by-URL should run in background, report feedback interactively to user
Upload-by-URL should run in background, report feedback interactively to user
Status: REOPENED
Product: MediaWiki
Classification: Unclassified
Uploading (Other open bugs)
unspecified
All All
: Low enhancement (vote)
: ---
Assigned To: Nobody - You can work on this!
http://test.wikipedia.org/wiki/Specia...
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2009-03-27 17:57 UTC by Brion Vibber
Modified: 2011-08-01 00:09 UTC (History)
3 users (show)

See Also:
Web browser: ---
Mobile Platform: ---
Assignee Huggle Beta Tester: ---


Attachments

Description Brion Vibber 2009-03-27 17:57:09 UTC
Uploading a very large file from an external URL could take a significant amount of time -- potentially minutes or hours. In this case it isn't really appropriate to do the downloading within the PHP web interface; it should be spawned to a background process of some sort.

Progress needs to be shown to the user interactively, and they need to be able to go back and look at the status to check up on their upload if they've navigated away from it.

Needs some consideration on the best UI model and backend model.
Comment 1 Michael Dale 2009-05-06 23:23:52 UTC
this is working in the new-upload branch. r50288

We spin off a separate php process and hand back the user an upload session id.  The user then checks against the api every other second and get status updates on the download. Once its complete a link to the resource is provide. If there is an error the error shows up when you request a status update. 


The mv_embed add_media_wizard installed to view the interactive http download progress. The JS that drives interface for progress indicators is stored in extensions/MetavidWiki/skins/mv_embed/libAddMedia/mvUploader.js

Comment 2 Brion Vibber 2009-05-08 18:57:41 UTC
I'd say keep this open until the branch is merged to trunk. Let's not count our chickens. :D
Comment 3 Michael Dale 2009-05-21 00:18:36 UTC
You no longer requires you install the add_media_wizard as the script-loader branch has been merged with new-upload. 
Comment 4 Bryan Tong Minh 2011-05-15 12:04:37 UTC
This got in but was eventually broken. Assigning to myself as a reminder that I should fix this some day.

Note You need to log in before you can comment on or make changes to this bug.


Navigation
Links